PHP 5.6

Hostname despeja todas tus  dudas acerca de este cambio que mejorará la seguridad y el rendimiento tus sitios web. ¡Toma nota!

Para prestar un mejor servicio a nuestros clientes, Hostname está realizando una importante actualización de la configuración predeterminada en todos nuestros servidores compartidos. La versión predeterminada de PHP utilizada por nuestros servidores compartidos se actualizará a PHP 5.6, lo que asegurará un entorno de alojamiento más seguro y estable para sus proyectos web en el futuro.

Para ayudar a que esta transición sea lo más fluida posible, queremos ayudarte. Por lo pronto, primero inicie sesión en su panel de control y pruebe todos sus sitios con PHP 5.6 siguiendo estos pasos:

Ingresa a tu cPanel en https://tudominio.com/cpanel

cPanel

Haz clic en el ícono “Configuración de PHP”, que se puede encontrar debajo del ícono “Avanzado” en cPanel.

Desde la lista desplegable de manejadores de PHP disponibles, selecciona “PHP 5.6” sin cambiar el directorio de destino de la configuración actual. Debería mostrar / (Carpeta actual). Haz clic en “Actualizar”.

Debería aparecer un mensaje de confirmación que dice “la extensión de archivo “.php” será procesada por PHP 5.6 para esta cuenta”. Al hacer clic en el botón “Volver a”, ahora debes observar que el menú desplegable debe incluir PHP 5.6 como el controlador activo.

En este punto, querrás probar tus sitios abriendo en un navegador y ver si se cargan con algún error. Si existe ningún problema, esto significa que tus sitios son compatibles con PHP 5.6 y no necesitas realizar ninguna otra acción, simplemente deja el controlador configurado como está, sin ningún otro cambio.

En cambio, si hay problemas durante tu prueba con tus sitios mientras el manejador de PHP 5.6 está habilitado, simplemente reinícialo para usar “PHP 5.2”. Esto configurará tu cuenta para usar específicamente esa versión de PHP, una vez que se realice el proceso de actualización de PHP. Esta configuración se mantendrá una vez completada.

1) ¿Por qué se debe hacer este cambio?

duda PHPLa versión predeterminada de PHP que nuestros servidores están utilizando actualmente ha estado en desuso por algún tiempo. Por esta razón, nos gustaría que tus sitios disfruten de los beneficios de seguridad y rendimiento de las versiones más nuevas de PHP, que ya tenemos disponibles en nuestro servidor.

2) ¿Cómo puedo asegurarme de que mis sitios funcionen?

Si bien estamos dando todos los pasos posibles para tratar de asignar automáticamente la versión correcta a todos tus scripts, queremos pedirte que inicies sesión en tu cPanel y pruebes todos tus sitios como se describió anteriormente. Nuevamente, nuestro sistema recordará y respetará los resultados de tu prueba manual.

3) ¿Mi sitio experimentará algún tiempo de inactividad?

El cambio entre las versiones de PHP es simplemente un cambio de configuración en su archivo .htaccess. PHP 5.6 ya está instalado en nuestros servidores  y no hay mantenimiento que deba realizarse en el servidor mismo que pueda causar interrupciones del servicio.

Las aplicaciones que no son compatibles con PHP 5.6 no se cargarán correctamente una vez que se realice el cambio. Una vez más, aunque haremos todo lo posible para verificar automáticamente la compatibilidad de cada cuenta y configurar la versión apropiada de PHP, realiza la prueba de compatibilidad desde su final también (utilizando los pasos enumerados anteriormente) antes de realizar este cambio.

4) ¿Quién puede ayudarme a actualizar mi sitio / script para usar una versión más nueva de PHP?

Si bien podemos ayudarte a cambiar la versión de PHP que utiliza tu secuencia de comandos, no podremos recodificar tu sitio para que sea compatible con las versiones más nuevas de PHP. Para esto debes ponerte en contacto con el autor / desarrollador de la secuencia de comandos para averiguar si actualmente tienen o planean rediseñar su código para utilizar las versiones posteriores de PHP.

5) ¿Qué software y versiones está probando para la compatibilidad?

WordPressNuestro escaneo probará la compatibilidad con los siguientes programas:

– WordPress (versiones 3.0 y superiores)

– Joomla (2.5 y superior)

– Drupal (7 y superior)

Cualquier cuenta que contenga scripts para los programas anteriores que fallan en nuestra verificación, se configurará para usar PHP 5.2.

6) ¿Qué pasa si ya tengo una configuración personalizada para PHP para uno de estos programas?

El proceso de conversión tampoco modificará las cuentas que ya tienen una directiva de controlador en su .htaccess en su directorio de inicio.

7) ¿Qué sucede si estoy usando un programa diferente a esos tres enumerados?

Cualquier otro script, para cualquier otro programa, se configurará automáticamente para usar PHP 5.2.

No esperamos problemas con esta actualización. Sin embargo, no podemos garantizar la compatibilidad con complementos de terceros para estos programas (temas, complementos, etc.) y una vez más, te recomendamos probar tus sitios utilizando el método descrito antes de realizar esta actualización.

8) ¿Qué sucede si estoy en un servidor VPS o Dedicado?

Sus opciones estarán determinadas por el sistema operativo instalado en tu servidor:

CentOS 6 y más nuevo:

Si está en un servidor VPS o Dedicado usando CentOS 6 o superior, puedes contactar a soporte y podemos instalar PHP 5.6 como su versión predeterminada.

CentOS 5 y antes:

Si está usando CentOS 5 o anterior, su servidor sólo puede usar hasta PHP 5.5 como su versión predeterminada. PHP 5.6 puede instalarse lado a lado con su versión actual de PHP, que deberá activarse con el código htaccess. Opcionalmente, puedes solicitar un nuevo servidor que se aprovisionará con una versión más actualizada de CentOS, para luego migrar su contenido al nuevo servidor.

Nota: En agosto de 2017, cPanel ya no permitirá que ningún servidor con CentOS 5 reciba parches de ningún tipo ni instalará una nueva versión de cPanel. Se recomienda encarecidamente migrar a un servidor con un sistema operativo actualizado de CentOS 5.

Un cambio necesario para Webservices

Web Services de TransbankAdemás de lo anteriormente expuesto, un cambio del servidor PHP 5.6 es vital para la nueva plataforma de Transbank, Webservices.  Recordemos que desde el 31 de diciembre, Transbank puso fin a los servicios de Webpay Plus, integrados a través de KCC.

Esto último se realizó debido a que los mecanismos de seguridad basados en SSL (Secure Socket Layer), está siendo eliminado de la lista de protocolos seguros por las compañías de la industria de Internet y los medios de pago, imposibilitando cualquier conexión a través de tecnología SSL, TLS 1.0 o TLS 1.1.

En Hostname queremos ayudarte a que tu proyecto web siempre esté a la vanguardia de lo que la industria exige, por lo que te invitamos a seguirnos para que obtengas los mejores datos acerca de web hosting y puedas administrar de mejor manera tus recursos.